Skip to main content
POST
/
api
/
{portfolio}
/
portfolios
/
v1
/
facilities
/
{facilityUuid}
/
rentalRecords
/
{unitRentalRecordUuid}
/
addFeeToMonthlyBilling
Add a fee or service to monthly billing
curl --request POST \
  --url https://public-api.prd.monument.io/api/{portfolio}/portfolios/v1/facilities/{facilityUuid}/rentalRecords/{unitRentalRecordUuid}/addFeeToMonthlyBilling \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "itemTypeUuid": "11111111-1111-1111-1111-111111111111"
}
'

Headers

x-api-key
any
required

Api key required to authenticate your request. Please reach out to monument for a key.

Example:

"monument-2230012-2312321"

Path Parameters

facilityUuid
string
required
unitRentalRecordUuid
string
required

Body

application/json

Item type UUID of the recurring fee or service to add

itemTypeUuid
string<uuid>
required

Item type UUID of the recurring fee or service to add to monthly billing

Example:

"11111111-1111-1111-1111-111111111111"

Response

Fee added to monthly billing successfully